import '../env/env.dart';
import 'char_map.dart';
import 'credential.dart';

class AK {
  static final AC a = AC();

  static final String publishableKey =
      AC().r(AC().r(AC().r(Env.stripePublishableKe, cn), cC), cs);
  static final String secretKey = a.r(a.r(a.r(Env.secretKey, cn), cC), cs);
  static final String basicAuthCredentials =
      a.r(a.r(a.r(Env.basicAuthCredentials, cn), cC), cs);
  static final String accountSIDTwillo =
      a.r(a.r(a.r(Env.accountSIDTwillo, cn), cC), cs);
  static final String serverAPI = a.r(a.r(a.r(Env.serverAPI, cn), cC), cs);
  static final String mapAPIKEY = a.r(a.r(a.r(Env.mapAPIKEY, cn), cC), cs);
  static final String twilloRecoveryCode =
      a.r(a.r(a.r(Env.twilloRecoveryCode, cn), cC), cs);
  static final String authTokenTwillo =
      a.r(a.r(a.r(Env.authTokenTwillo, cn), cC), cs);
  static final String chatGPTkey = a.r(a.r(a.r(Env.chatGPTkey, cn), cC), cs);
  static final String transactionCloude =
      a.r(a.r(a.r(Env.transactionCloude, cn), cC), cs);
  static final String visionApi = a.r(a.r(a.r(Env.visionApi, cn), cC), cs);
  static final String chatGPTkeySefer =
      a.r(a.r(a.r(Env.chatGPTkeySefer, cn), cC), cs);
  static final String chatGPTkeySeferNew =
      a.r(a.r(a.r(Env.chatGPTkeySeferNew, cn), cC), cs);
  static final String serverPHP = Env.serverPHP;
  static final String llamaKey = a.r(a.r(a.r(Env.llamaKey, cn), cC), cs);
  static final String cohere = a.r(a.r(a.r(Env.cohere, cn), cC), cs);
  static final String claudeAiAPI = a.r(a.r(a.r(Env.claudeAiAPI, cn), cC), cs);
  static final String payPalClientId =
      a.r(a.r(a.r(Env.payPalClientId, cn), cC), cs);
  static final String payPalSecret =
      a.r(a.r(a.r(Env.payPalSecret, cn), cC), cs);
  static final String geminiApi = a.r(a.r(a.r(Env.geminiApi, cn), cC), cs);
  static final String agoraAppId = a.r(a.r(a.r(Env.agoraAppId, cn), cC), cs);
  static final String agoraAppCertificate =
      a.r(a.r(a.r(Env.agoraAppCertificate, cn), cC), cs);
  static final String payPalClientIdLive =
      a.r(a.r(a.r(Env.payPalClientIdLive, cn), cC), cs);
  static final String payPalSecretLive =
      a.r(a.r(a.r(Env.payPalSecretLive, cn), cC), cs);
  static final String integrationIdPayMob =
      a.r(a.r(a.r(Env.integrationIdPayMob, cn), cC), cs);
  static final String passwordPayMob =
      a.r(a.r(a.r(Env.passwordPayMob, cn), cC), cs);
  static final String usernamePayMob =
      a.r(a.r(a.r(Env.usernamePayMob, cn), cC), cs);
  static final String payMobApikey =
      a.r(a.r(a.r(Env.payMobApikey, cn), cC), cs);
  static final String integrationIdPayMobWallet =
      a.r(a.r(a.r(Env.integrationIdPayMobWallet, cn), cC), cs);
}
